image: python:3.9
variables:
  GITLAB: https://gitlab.com
  GROUP: adventuretime
  INACTIVITY_DAYS: 90

deactivate_members:
  script:
    - python -m pip install -r requirements.txt
    - python remove-inactive-group-members.py ${GITLAB} ${GITLAB_TOKEN} ${GROUP} ${INACTIVITY_DAYS} --dryrun
  artifacts:
    paths:
      - report
